Bug 37512 - (Read you Forums) Sun JDK1.3 and RHL7.1 are incompattable as configured.
(Read you Forums) Sun JDK1.3 and RHL7.1 are incompattable as configured.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: distribution (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Preston Brown
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-25 01:05 EDT by Need Real Name
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-25 01:09:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-04-25 01:05:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Read your forum for discription (I am not alone), you can reproduce this 
100%.  I can't believe you missed this.  Using "ln -s /bin/cut 
usr/bin/cut", PATH and CLASSPATH (dt.jar and tools.jar: Which or what is 
the class file?) allow java to run intermitantly.  Running a simple hello 
will work about 30% of the time usually ending hung requiring ctrl-c.  
Tell QA JAVA is important.  

Reproducible: Always
Steps to Reproduce:
1.RHL7.1
2.Install Sun JDK1.3.0.02 either by RPM or tar.
3.Do PATH and CLASSPATH (Run and see original errors).
4.ln -s /bin/cut /usr/bin/cut (no error statements intermittant java 
hello., requires ctrl-c to break hang 70% of time.)
5.P.S. see forums search on "java".
Comment 1 Need Real Name 2001-04-25 01:09:22 EDT
My Java development is toast.  7.0 and 7.1 Red Hat is getting a reputation.
Comment 2 Trond Eivind Glomsrxd 2001-04-25 16:46:48 EDT
Read the release notes - there are bugs in the JDKs with recent kernel/glibc
combos (They assume a stack is always 2 MB, and use this in weird ways) - read
the release notes.
Comment 3 Need Real Name 2001-05-11 17:33:30 EDT
Bullshit -- I've spent a ton of time on the JDK 1.3 install for RH7.1 and found
the EXACT SAME ERROR as RJC.  This has very little to do with the JDK's and has
more to do with the new structure of RH7.1's utilities.  The JDK's work on EVERY
OTHER PLATFORM including WinTel, Solaris, FreeBSD, AND **RH7.0**, so there is no
reason to assume that it is Sun's problem.  Get in touch with me if you have
questions regarding my many days of research....

Matt
Comment 4 Trond Eivind Glomsrxd 2001-05-11 17:37:55 EDT
I suggest mgravatt reads the release notes as well, as the understanding of the
problem seem to be somewhat lacking.

Note You need to log in before you can comment on or make changes to this bug.